[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-1195-g7ddcceb56
git at osgeo.org
git at osgeo.org
Sun Jul 9 21:19:20 PDT 2023
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via 7ddcceb56c4acbd6952dc4401c377a14a2fd5667 (commit)
via 2f7a8843486ab9770a6ce961a430e37edef9e15f (commit)
via 06ae05923d084304a8d2416a1d5c3c82abb5d477 (commit)
from db53e7b7ce679a9ed05a923e2550103ced3729b4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 7ddcceb56c4acbd6952dc4401c377a14a2fd5667
Author: Sandro Santilli <strk at kbt.io>
Date: Mon Jul 10 06:18:25 2023 +0200
[debbie] Use install rule to install pdf/epub, also build and install localized ones
diff --git a/ci/debbie/postgis_release_docs.sh b/ci/debbie/postgis_release_docs.sh
index ed0ebb99d..4fd622334 100644
--- a/ci/debbie/postgis_release_docs.sh
+++ b/ci/debbie/postgis_release_docs.sh
@@ -25,6 +25,8 @@ POSTGIS_MICRO_VERSION=`grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2`
# TODO: take base as env variable ?
HTML_DIR=/var/www/postgis_docs/manual-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}
+STUFF_DIR=/var/www/postgis_stuff/
+
echo $PATH
@@ -42,7 +44,8 @@ LDFLAGS="-L${PGPATH}/lib" ./configure \
--with-pgconfig=${PGPATH}/bin/pg_config \
--with-geosconfig=${PROJECTS}/geos/rel-${GEOS_VER}w${OS_BUILD}/bin/geos-config \
--without-raster --without-protobuf \
- --htmldir ${HTML_DIR}
+ --htmldir ${HTML_DIR} \
+ --docdir ${STUFF_DIR}
make clean
# generating postgis_revision.h in case hasn't been generated
@@ -71,21 +74,13 @@ if [[ "$POSTGIS_MICRO_VERSION" == *"dev"* ]]; then
fi
make cheatsheets
-make pdf
-make epub
make -e chunked-html-web # TODO: do we really want this too in the doc-html-*.tar.gz package ?
make html-localized # TODO: do we really want this too in the doc-html-*.tar.gz package ?
-STUFF_DIR=/var/www/postgis_stuff/
-
package="doc-html-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.tar.gz"
tar -czf "$package" --exclude='static' --exclude='wkt' --exclude '*.o' html
cp $package ${STUFF_DIR}
-# TODO: Replace all of this by some `make *-install` rule
-cp *.pdf ${STUFF_DIR}
-cp *.epub ${STUFF_DIR}
-
# Install all html
make html-assets-install
make html-install
@@ -110,8 +105,13 @@ for f in ${HTML_DIR}/postgis-web-*; do
done
-#chmod -R 755 ${HTML_DIR} # TODO: still needed ?
+# Build and install pdf and epub
+make pdf-install # || : survive failure
+make epub-install # || : survive failure
+# Build and install localized pdf and epub
+make pdf-install-localized # || : survive failures
+make epub-install-localized # || : survive failures
if [[ "$POSTGIS_MICRO_VERSION" == *"dev"* ]]; then
commit 2f7a8843486ab9770a6ce961a430e37edef9e15f
Author: Sandro Santilli <strk at kbt.io>
Date: Mon Jul 10 05:44:40 2023 +0200
Add pdf and epub install/uninstall targets
diff --git a/doc/Makefile.in b/doc/Makefile.in
index 31b50df17..4418864cb 100644
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -379,6 +379,13 @@ else
-o postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf $<
endif
+pdf-install: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf
+ mkdir -p $(DESTDIR)$(docdir)
+ $(INSTALL_DATA) $< $(DESTDIR)$(docdir)/
+
+pdf-uninstall:
+ rm -f $(DESTDIR)$(docdir)/postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf
+
postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub: postgis-out.xml images $(XML_INPUTS)
ifeq ($(DBTOEPUB),)
@echo
@@ -393,6 +400,13 @@ else
$<
endif
+epub-install: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub
+ mkdir -p $(DESTDIR)$(docdir)
+ $(INSTALL_DATA) $< $(DESTDIR)$(docdir)/
+
+epub-uninstall:
+ rm -f $(DESTDIR)$(docdir)/postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub
+
epub: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub
pdf: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf
commit 06ae05923d084304a8d2416a1d5c3c82abb5d477
Author: Sandro Santilli <strk at kbt.io>
Date: Mon Jul 10 05:41:45 2023 +0200
Make package name and version available to Makefiles
diff --git a/configure.ac b/configure.ac
index d2dd15ee0..d73dd1fc3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -9,7 +9,14 @@ dnl * the terms of the GNU General Public Licence. See the COPYING file.
dnl *
dnl **********************************************************************
-AC_INIT
+AC_INIT(
+ [postgis],
+ m4_esyscmd_s(
+ [grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2]
+ ).m4_esyscmd_s(
+ [grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2]
+ )
+)
# test to see if srcdir already configured, when
# building out of tree
diff --git a/doc/Makefile.in b/doc/Makefile.in
index aa72fd3ea..31b50df17 100644
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -23,6 +23,8 @@
translations = it_IT pt_BR fr es pl ko_KR de ja ru
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+
prefix = @prefix@
srcdir = @srcdir@
top_srcdir = @top_srcdir@
-----------------------------------------------------------------------
Summary of changes:
ci/debbie/postgis_release_docs.sh | 20 ++++++++++----------
configure.ac | 9 ++++++++-
doc/Makefile.in | 16 ++++++++++++++++
3 files changed, 34 insertions(+), 11 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list